### Method

# Gio UnixMountMonitor set_rate_limit

deprecated: 2.44 since: 2.18

#### Declaration

    void
    g_unix_mount_monitor_set_rate_limit (
      GUnixMountMonitor* mount_monitor,
      int limit_msec
    )

#### Description

This function does nothing.

Before 2.44, this was a partially-effective way of controlling the rate at which events would be reported under some uncommon circumstances. Since `mount_monitor` is a singleton, it also meant that calling this function would have side effects for other users of the monitor.

Available since: 2.18

Deprecated since: 2.44

This function does nothing. Don’t call it.

#### Parameters

`limit_msec`

  Type: `int`

  A integer with the limit in milliseconds to poll for changes.